# Uses of Interface
org.apache.sling.testing.resourceresolver.MockQueryResourceHandler

## Uses of MockQueryResourceHandler in org.apache.sling.testing.resourceresolver

Methods in org.apache.sling.testing.resourceresolver that return types with arguments of type MockQueryResourceHandler
Modifier and Type
Method
Description
`@NotNull List<MockQueryResourceHandler>`
MockResourceResolverFactoryOptions.`getQueryResourcesHandlers()`
Methods in org.apache.sling.testing.resourceresolver with parameters of type MockQueryResourceHandler
Modifier and Type
Method
Description
`static void`
MockFindQueryResources.`addQueryResourceHandler(@NotNull org.apache.sling.api.resource.ResourceResolver resourceResolver, @NotNull MockQueryResourceHandler handler)`
Adds a handler that can provide a mocked query resources result.
`void`
MockResourceResolver.`addQueryResourceHandler(@NotNull MockQueryResourceHandler handler)`
Deprecated.
Please use `MockFindQueryResources.addQueryResourceHandler(ResourceResolver, MockQueryResourceHandler)`
`void`
MockResourceResolverFactoryOptions.`addQueryResourceHandlerInternal(@NotNull MockQueryResourceHandler handler)`